using System;

namespace Intrepid.Core.Themes
{
    [Serializable]
    public class UIDialogMinimalTheme : AbstractThemeRelated
    {
        private float Alpha { get; }
        
        public UIDialogMinimalTheme(Palettes palettes, float alpha = 1) : base(palettes)
        {
            Alpha = alpha;
        }
        
        public UIWindowTheme Window => new(Palettes, Alpha);
        public UIButtonTheme Button => new(Palettes);
    }
}